<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <connectionStrings>
    <clear />
    <add name="ConnectionString" connectionString="Server=[SERVERNAME];UID=[USERID];PWD=[USERPWD];DATABASE=[DBNAME]" providerName="SQLServer"/>
  </connectionStrings>
  <appSettings>
    <add key="WFWorkflow.Service.ServiceName" value="ZURI" />
    <add key="WFWorkflow.Service.ServiceDelay" value="2" />
    <add key="WFFramework.Security.EncapsulateOwner" value="false" />
    <add key="WFFramework.Monitoring.RaiseAllErrors" value="false" />
    <add key="WFFramework.Cache.TimeSpan" value="1" />
    <add key="WFTools.Language" value="pt-BR" />
    <add key="WFWorkflow.ModulesPath" value="[SERVICEFOLDERPATH]\" />
    <add key="WFTools.AppDataPath" value="[SITEFOLDERPATH]\WFContent\AppData\"/>
    <add key="WFPortal.WFContentPath" value="[SITEFOLDERPATH]\WFContent\"/>
    <add key="WFWorkflow.SubProcessCount" value="0" />
    <add key="WFFramework.SiteURL" value="https://[SITEURL]/" />
  </appSettings>
  <system.web>
    <roleManager enabled="true" defaultProvider="WFRoleProvider">
      <providers>
        <clear/>
        <add name="WFRoleProvider" type="WebFoundations.BaseProviders.WFRoleProvider,WebFoundations.BaseProviders"/>
      </providers>
    </roleManager>
    <membership defaultProvider="WFMembershipProvider">
      <providers>
        <clear />
        <add name="WFMembershipProvider"
             type="WebFoundations.BaseProviders.WFMembershipProvider,WebFoundations.BaseProviders"
             maxInvalidPasswordAttempts="50"
             passwordAttemptWindow="5"
             minRequiredNonAlphanumericCharacters="0"
             minRequiredPasswordLength="0"
             passwordStrengthRegularExpression=""
             enablePasswordReset="true"
             enablePasswordRetrieval="false"
             requiresQuestionAndAnswer="false"
             requiresUniqueEmail="false"
             passwordFormat="encrypted" />
      </providers>
    </membership>
    <healthMonitoring heartbeatInterval="0" enabled="true">
      <profiles>
        <clear />
        <add name="Default" minInstances="1" maxLimit="Infinite" minInterval="00:01:00" custom="" />
        <add name="Trace" minInstances="1" maxLimit="Infinite" minInterval="00:00:00" custom="" />
      </profiles>
      <bufferModes>
        <clear />
        <add name="LogFileBuffer" maxBufferSize="50" maxFlushSize="10" urgentFlushThreshold="1" regularFlushInterval="00:10:00" urgentFlushInterval="00:01:00" maxBufferThreads="1" />
      </bufferModes>
      <providers>
        <clear />
        <add name="EventLogProvider" type="System.Web.Management.EventLogWebEventProvider" />
        <add name="LogFileProvider" type="WebFoundations.Monitoring.EventProviders.FileLog,WebFoundations.Monitoring.EventProviders"
		               buffer="true" bufferMode="LogFileBuffer" LogPath="[SERVICEFOLDERPATH]\_logs\" />
        <add name="TraceFileProvider" type="WebFoundations.Monitoring.EventProviders.FileLog,WebFoundations.Monitoring.EventProviders"
		               buffer="true" bufferMode="LogFileBuffer" LogPath="[SERVICEFOLDERPATH]\_logs\trace\" />
        <add name="DataBaseProvider" type="WebFoundations.Monitoring.EventProviders.DataBase,WebFoundations.Monitoring.EventProviders" buffer="false" ConnectionStringName="WFFramework" />
      </providers>
      <eventMappings>
        <clear />
        <add name="Audit" type="WebFoundations.Monitoring.AuditEvent,WebFoundations.Monitoring" />
        <add name="Warning" type="WebFoundations.Monitoring.WarningEvent,WebFoundations.Monitoring" />
        <add name="CriticalError" type="WebFoundations.Monitoring.CriticalError,WebFoundations.Monitoring" />
        <add name="NonCriticalError" type="WebFoundations.Monitoring.NonCriticalError,WebFoundations.Monitoring" />
        <add name="Performance" type="WebFoundations.Monitoring.PerformanceMonitor,WebFoundations.Monitoring" />
        <add name="DataAccessError" type="WebFoundations.Monitoring.DataAccessError,WebFoundations.Monitoring" />
        <add name="GeneralError" type="WebFoundations.Monitoring.GeneralError,WebFoundations.Monitoring" />
        <add name="Trace" type="WebFoundations.Monitoring.TraceEvent,WebFoundations.Monitoring" />
      </eventMappings>
      <rules>
        <clear />
        <add name="Critical Errors"        eventName="CriticalError"    provider="LogFileProvider"  profile="Default"/>
        <add name="Critical Errors db"     eventName="CriticalError"    provider="DataBaseProvider" profile="Default" />
        <add name="Non Critical Errors db" eventName="NonCriticalError" provider="DataBaseProvider" profile="Default" />
        <add name="Non Critical Errors"    eventName="NonCriticalError" provider="LogFileProvider"  profile="Default"/>
        <add name="Data Acess Error"       eventName="DataAccessError"  provider="LogFileProvider"  profile="Default"/>
        <add name="Data Acess Error evt"   eventName="DataAccessError"  provider="EventLogProvider" profile="Default"/>
        <add name="Warning Messages 1"     eventName="Warning"          provider="LogFileProvider"  profile="Default"/>
      </rules>
    </healthMonitoring>
    <globalization culture="pt-BR" uiCulture="pt-BR" />
  </system.web>
  <system.net>
    <mailSettings>
      <smtp  deliveryMethod="SpecifiedPickupDirectory" from="zuri9@zuri.wf">
        <specifiedPickupDirectory pickupDirectoryLocation="[SITEFOLDERPATH]\_Email\" />
      </smtp>
    </mailSettings>
  </system.net>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6" />
  </startup>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-11.0.0.0" newVersion="11.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>